package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.entity.Requirement;
import com.lightinit.hsdataplatform.entity.ResourceCatelog;
import com.lightinit.hsdataplatform.model.ResultState;
import com.lightinit.hsdataplatform.model.admin.RequirementMicroappPublishModel;
import com.lightinit.hsdataplatform.model.admin.RequirementReceiveModel;

import java.util.List;

/**
 * Created by herbert on 2018/5/26.
 */
public interface IRequirementService {
    Requirement info(long id);
    ResultState<Long> edit(Requirement auditData);
    ResultState<Long> delete(long id);

    ResultState receive(RequirementReceiveModel inputModel);

    List<ResourceCatelog> selectCatelog();

    ResultState publish(RequirementMicroappPublishModel inputModel);
}
